Antom, leading provider of tailored payment solutions

notifyVostro

POST /v1/aba/accounts/notifyVostro

Use this interface to retrieve topup notification.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

customerId String  REQUIRED

The unique ID assigned by Antom Business Account to identify a buyer.

More information:

  • Maximum length: 64 characters

fundingId String  REQUIRED

The unique ID assigned by Antom business account to identify a prefunding request.

More information:

  • This field is an API idempotency field.
  • Maximum length: 128 characters

balanceResult Object  REQUIRED

Indicates whether the prefunding process is successful.

Show child parameters

payerBankAccount Object  REQUIRED

Details of the payer's bank account used for the prefunding transaction.

Show child parameters

beneficiaryAccount Object  REQUIRED

Details of the beneficiary's Antom virtual account (e.g., account number, bank info).

Show child parameters

balanceChangeAmount Object  REQUIRED

The monetary amount added to the balance account during prefunding. 

Show child parameters

balanceChangeTime Datetime  REQUIRED

The time when the account balance changes.

More information:

  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

Response parameters

result Object  REQUIRED

Indicates whether this API is called successfully.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess.

The API is called successfully, and no further action is needed.

PARAM_ILLEGALFIllegal parameters exist.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support to resolve the issue.

Balance result codes

CodeValueMessage
SUCCESSSSuccess
REFUNDSRefund success.